| DocBook: The Definitive Guide 2.0.17 (Alpha)

# bridgehead

$Revision$

$Date$

bridgehead — A free-floating heading

## Synopsis

### Mixed Content Model

    bridgehead ::=
    (#PCDATA|footnoteref|xref|biblioref|abbrev|acronym|citation|
     citerefentry|citetitle|citebiblioid|emphasis|firstterm|
     foreignphrase|glossterm|termdef|footnote|phrase|orgname|quote|
     trademark|wordasword|personname|link|olink|ulink|action|
     application|classname|methodname|interfacename|exceptionname|
     ooclass|oointerface|ooexception|package|command|computeroutput|
     database|email|envar|errorcode|errorname|errortype|errortext|
     filename|function|guibutton|guiicon|guilabel|guimenu|guimenuitem|
     guisubmenu|hardware|interface|keycap|keycode|keycombo|keysym|
     literal|code|constant|markup|medialabel|menuchoice|mousebutton|
     option|optional|parameter|prompt|property|replaceable|
     returnvalue|sgmltag|structfield|structname|symbol|systemitem|uri|
     token|type|userinput|varname|nonterminal|anchor|author|
     authorinitials|corpauthor|corpcredit|modespec|othercredit|
     productname|productnumber|revhistory|remark|subscript|
     superscript|inlinegraphic|inlinemediaobject|inlineequation|
     indexterm)*

### Attributes

Common attributes

Name | Type | Default

renderas

Enumeration:
other
sect1
sect2
sect3
sect4
sect5

None

## Description

Some documents, usually legacy documents, use headings that are not tied to the normal sectional hieararchy. These headings may be represented in DocBook with the `BridgeHead` element.

`BridgeHead`s may also be useful in fiction or journalistic works that don't have a nested hierarchy.

### Processing expectations

A `BridgeHead` is formatted as a block, using the same display properties as the section heading which it masquerades as. The `RenderAs` attribute controls which heading it mimics.

### Future Changes

The `InterfaceDefinition` element will be discarded in DocBook V4.0. It will no longer be available in the content model of this element.

### Parents

These elements contain bridgehead: `answer`, `appendix`, `article`, `bibliodiv`, `bibliography`, `blockquote`, `callout`, `caution`, `chapter`, `constraintdef`, `glossary`, `glossdiv`, `important`, `index`, `itemizedlist`, `listitem`, `msgexplan`, `msgtext`, `note`, `orderedlist`, `partintro`, `preface`, `procedure`, `qandadiv`, `qandaset`, `question`, `refsect1`, `refsect2`, `refsect3`, `refsection`, `refsynopsisdiv`, `revdescription`, `sect1`, `sect2`, `sect3`, `sect4`, `sect5`, `section`, `setindex`, `sidebar`, `simplesect`, `step`, `taskprerequisites`, `taskrelated`, `tasksummary`, `tip`, `variablelist`, `warning`.

### Children

The following elements occur in bridgehead: `abbrev`, `acronym`, `action`, `anchor`, `application`, `author`, `authorinitials`, `biblioref`, `citation`, `citebiblioid`, `citerefentry`, `citetitle`, `classname`, `code`, `command`, `computeroutput`, `constant`, `corpauthor`, `corpcredit`, `database`, `email`, `emphasis`, `envar`, `errorcode`, `errorname`, `errortext`, `errortype`, `exceptionname`, `filename`, `firstterm`, `footnote`, `footnoteref`, `foreignphrase`, `function`, `glossterm`, `guibutton`, `guiicon`, `guilabel`, `guimenu`, `guimenuitem`, `guisubmenu`, `hardware`, `indexterm`, `inlineequation`, `inlinegraphic`, `inlinemediaobject`, `interface`, `interfacename`, `keycap`, `keycode`, `keycombo`, `keysym`, `link`, `literal`, `markup`, `medialabel`, `menuchoice`, `methodname`, `modespec`, `mousebutton`, `nonterminal`, `olink`, `ooclass`, `ooexception`, `oointerface`, `option`, `optional`, `orgname`, `othercredit`, `package`, `parameter`, `personname`, `phrase`, `productname`, `productnumber`, `prompt`, `property`, `quote`, `remark`, `replaceable`, `returnvalue`, `revhistory`, `sgmltag`, `structfield`, `structname`, `subscript`, `superscript`, `symbol`, `systemitem`, `termdef`, `token`, `trademark`, `type`, `ulink`, `uri`, `userinput`, `varname`, `wordasword`, `xref`.

## Attributes

renderas

  The `RenderAs` attribute identifies how the `BridgeHead` should be rendered. In this way, a `BridgeHead` can be made to appear as a `Sect1`, for example.

## See Also

`sect1`, `sect2`, `sect3`, `sect4`, `sect5`, `section`, `simplesect`.

## Examples

For examples, see `chapter`.

bookinfo |  | callout

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.